2608207 - Adobe Flash Player Requirements for SAP SuccessFactors

SAP Knowledge Base Articles - public

2608207 - Adobe Flash Player Requirements for SAP SuccessFactors


  • Can you advise on what features require Adobe Flash Player?
  • What are the plans of SAP SuccessFactors to move to a different technology?


SAP SuccessFactors HCM Suite


SAP SuccessFactors requires Adobe Flash Player in some cases.

Required Flash Player Version

We require Flash Player 10 or higher in these cases:

  1. SAP Jam video functionality (LOD-SF-JAM)
  2. SAP SuccessFactors Learning administration (LOD-SF-LMS)
  3. SAP SuccessFactors Recruiting Marketing "Recruiter Dash" (LOD-SF-RMK)
  4. Advanced UI features, such as succession lineage charts and instructional videos (LOD-SF-PLT and/or LOD-SF-SCM)
  • In recent years/releases, advanced UI features have mostly stopped requiring Flash.
  • Succession Org Chart (successor organization chart): If you check the setting to "Enable V12 Succession Org Chart" in provisioning, the HTML5 version of Succession Org Chart will be displayed instead of Adobe Flash using Adobe Flash.
    Please reach out to Customer Support should you wish for this to be enabled for you.
  • Succession Lineage Chart is still dependent on Adobe Flash technology. There are plans to introduce a new UI based on Fiori UI5 for b1805 release.

If you require additional clarification on exact features, please open an incident with Customer Support using the relevant component outlined above.

At this moment SAP SuccessFactors do not have any plans to move to a different technology product wide.

Note: Adobe Plans to end Support for Flash Player in 2020

See Also

Adobe Flash Player Requirements for SAP SuccessFactors


Adobe, Flash, Player, Requirements, PLT, JAM, LMS, RMK, UI-13626, SCM-11206 , KBA , LOD-SF-PLT , Foundational Capabilities & Tools , LOD-SF-JAM , SAP Jam , LOD-SF-LMS , SuccessFactors Learning , LOD-SF-RMK , Recruiting Marketing , Problem


SAP SuccessFactors HCM Suite all versions